Gocator API

- Home
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoSurfaceHole Class Reference
GoSdk/Tools » Surface

## Description

Represents a surface hole tool.

Inheritance diagram for GoSurfaceHole:

## Public Member Functions
kBool | GoSurfaceHole_AutoTiltEnabled (GoSurfaceHole tool)
| Gets the enabled state of auto-tilt. More...
k64f | GoSurfaceHole_DepthLimit (GoSurfaceHole tool)
| Gets the depth limit value. More...
kBool | GoSurfaceHole_DepthLimitEnabled (GoSurfaceHole tool)
| Gets the enabled state of the depth limit. More...
kStatus | GoSurfaceHole_EnableAutoTilt (GoSurfaceHole tool, kBool enable)
| Sets the enabled state of auto-tilt. More...
kStatus | GoSurfaceHole_EnableDepthLimit (GoSurfaceHole tool, kBool enable)
| Sets the enabled state of the depth limit. More...
kStatus | GoSurfaceHole_EnablePartialDetection (GoSurfaceHole tool, kBool enable)
| Sets the enabled state of partial detection. More...
kStatus | GoSurfaceHole_EnableRefRegions (GoSurfaceHole tool, kBool enable)
| Sets the enabled state of reference regions. More...
kStatus | GoSurfaceHole_EnableRegion (GoSurfaceHole tool, kBool enable)
| Sets the enabled state of the tool region. More...
k64f | GoSurfaceHole_NominalRadius (GoSurfaceHole tool)
| Gets the current nominal radius value. More...
kBool | GoSurfaceHole_PartialDetectionEnabled (GoSurfaceHole tool)
| Gets the enabled state of partial detection. More...
GoSurfaceHoleCenterPoint | GoSurfaceHole_Point (GoSurfaceHole tool)
| Returns a GoSurfaceHole point feature object. More...
GoSurfaceHoleRadius | GoSurfaceHole_RadiusMeasurement (GoSurfaceHole tool)
| Returns a GoSurfaceHole Radius measurement object. More...
k64f | GoSurfaceHole_RadiusTolerance (GoSurfaceHole tool)
| Gets the current radius tolerance value. More...
GoSurfaceRegion2d | GoSurfaceHole_RefRegionAt (GoSurfaceHole tool, kSize index)
| Gets a reference region object at the given index. More...
kSize | GoSurfaceHole_RefRegionCount (GoSurfaceHole tool)
| Gets the reference region count. More...
kBool | GoSurfaceHole_RefRegionsEnabled (GoSurfaceHole tool)
| Gets the enabled state of reference regions. More...
GoRegion3d | GoSurfaceHole_Region (GoSurfaceHole tool)
| Returns the tool's region object. More...
kBool | GoSurfaceHole_RegionEnabled (GoSurfaceHole tool)
| Gets the enabled state of the tool region. More...
kStatus | GoSurfaceHole_SetDepthLimit (GoSurfaceHole tool, k64f value)
| Sets the depth limit value. More...
kStatus | GoSurfaceHole_SetNominalRadius (GoSurfaceHole tool, k64f nominalRadius)
| Sets the nominal radius value. More...
kStatus | GoSurfaceHole_SetRadiusTolerance (GoSurfaceHole tool, k64f radiusTolerance)
| Sets the radius tolerance value. More...
kStatus | GoSurfaceHole_SetRefRegionCount (GoSurfaceHole tool, kSize count)
| Sets the reference region count. More...
kStatus | GoSurfaceHole_SetTiltXAngle (GoSurfaceHole tool, k64f value)
| Sets the tilt X-angle value. More...
kStatus | GoSurfaceHole_SetTiltYAngle (GoSurfaceHole tool, k64f value)
| Sets the tilt Y-angle value. More...
k64f | GoSurfaceHole_TiltXAngle (GoSurfaceHole tool)
| Gets the tilt X-angle value. More...
k64f | GoSurfaceHole_TiltYAngle (GoSurfaceHole tool)
| Gets the tilt Y-angle value. More...
GoSurfaceHoleX | GoSurfaceHole_XMeasurement (GoSurfaceHole tool)
| Returns a GoSurfaceHole X measurement object. More...
GoSurfaceHoleY | GoSurfaceHole_YMeasurement (GoSurfaceHole tool)
| Returns a GoSurfaceHole Y measurement object. More...
GoSurfaceHoleZ | GoSurfaceHole_ZMeasurement (GoSurfaceHole tool)
| Returns a GoSurfaceHole Z measurement object. More...
kStatus | GoSurfaceTool_SetSource (GoSurfaceTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoSurfaceTool_SetXAnchor (GoSurfaceTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoSurfaceTool_SetYAnchor (GoSurfaceTool tool, k32s id)
| Sets the Y-anchoring source. More...
kStatus | GoSurfaceTool_SetZAnchor (GoSurfaceTool tool, k32s id)
| Sets the Z-anchoring source. More...
kStatus | GoSurfaceTool_SetZAngleAnchor (GoSurfaceTool tool, k32s id)
| Sets the ZAngle-anchoring source. More...
GoDataSource | GoSurfaceTool_Source (GoSurfaceTool tool)
| Gets the data source. More...
k32u | GoSurfaceTool_SourceOptionAt (GoSurfaceTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoSurfaceTool_SourceOptionCount (GoSurfaceTool tool)
| Gets the data source option list count. More...
k32s | GoSurfaceTool_XAnchor (GoSurfaceTool tool)
| Gets the current X-anchoring source. More...
kBool | GoSurfaceTool_XAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoSurfaceTool_XAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoSurfaceTool_XAnchorOptionCount (GoSurfaceTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoSurfaceTool_YAnchor (GoSurfaceTool tool)
| Gets the current Y-anchoring source. More...
kBool | GoSurfaceTool_YAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Y-anchoring source has been set for Y-anchoring. More...
k32u | GoSurfaceTool_YAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Y-anchoring option at the given index. More...
kSize | GoSurfaceTool_YAnchorOptionCount (GoSurfaceTool tool)
| Gets the Y-anchoring option list count. More...
k32s | GoSurfaceTool_ZAnchor (GoSurfaceTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoSurfaceTool_ZAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoSurfaceTool_ZAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
k32s | GoSurfaceTool_ZAngleAnchor (GoSurfaceTool tool)
| Sets the ZAngle-anchoring source. More...
kBool | GoSurfaceTool_ZAngleAnchorEnabled (GoSurfaceTool tool)
| Returns a boolean value representing whether or not a valid ZAngle - anchoring source has been set for ZAngle - anchoring. More...
k32u | GoSurfaceTool_ZAngleAnchorOptionAt (GoSurfaceTool tool, kSize index)
| Gets the ZAngle-anchoring option at the given index. More...
kSize | GoSurfaceTool_ZAngleAnchorOptionCount (GoSurfaceTool tool)
| Gets the Z-anchoring option list count. More...
kStatus | GoTool_AddExtMeasurement (GoTool tool, kType type, kBool isFilterable, GoExtMeasurement *measurement)
| Adds the given custom measurement to the tool set. More...
kStatus | GoTool_AddMeasurement (GoTool tool, kType type, kBool isFilterable, GoMeasurement *measurement)
| Adds the given measurement to the tool set. More...
kStatus | GoTool_ClearMeasurements (GoTool tool)
| Removes all measurements for the given tool. More...
GoFeature | GoTool_FeatureOutputAt (GoTool tool, kSize index)
| Retrieves the feature output at the given index. More...
kSize | GoTool_FeatureOutputCount (GoTool tool)
| Returns the feature output count. More...
GoFeature | GoTool_FindFeatureOutputByType (GoTool tool, GoFeatureDataType type)
| Retrieves the first found instance of a feature output for a given enumeration type. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_RemoveMeasurement (GoTool tool, kSize index)
| Removes a measurement at a given index. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...
kStatus | GoToolUtil_ParseStreamOptions (GoTool tool, kXml xml, kXmlItem item, kArrayList list)
| Parses stream options for the given tool. More...

The documentation for this class was generated from the following file:

- Tools/GoSurfaceTools.h